<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Map_V3 StructType
 * @subpackage Structs
 */
class Get_Map_V3 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The MapSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GetMapSelection_V2
     */
    public $MapSelection;
    /**
     * Constructor method for Get_Map_V3
     * @uses Get_Map_V3::setLogin()
     * @uses Get_Map_V3::setMapSelection()
     * @param \StructType\Login $login
     * @param \StructType\GetMapSelection_V2 $mapSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\GetMapSelection_V2 $mapSelection = null)
    {
        $this
            ->setLogin($login)
            ->setMapSelection($mapSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Map_V3
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get MapSelection value
     * @return \StructType\GetMapSelection_V2|null
     */
    public function getMapSelection()
    {
        return $this->MapSelection;
    }
    /**
     * Set MapSelection value
     * @param \StructType\GetMapSelection_V2 $mapSelection
     * @return \StructType\Get_Map_V3
     */
    public function setMapSelection(\StructType\GetMapSelection_V2 $mapSelection = null)
    {
        $this->MapSelection = $mapSelection;
        return $this;
    }
}
